Skip to main content
POST
Account-spend-limit get

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
account_id
string

Meta Ad Account ID (uses configured account if not provided)

Response

200 - application/json

Success

account_id
string
required
account_name
string
required
currency
string
required
has_spend_limit
boolean
required
spend_limit
number | null
required
Required range: x >= 0
amount_spent
number
required
Required range: x >= 0
remaining
number | null
required
Required range: x >= 0
limit_reached
boolean
required
delivery
enum<string>
required
Available options:
stopped_by_spend_limit,
under_limit,
no_limit
note
string
required
checked_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$